# Copyright (C) 2023 Codethink Ltd.

class Token(str): ...
class ParseTree: ...

class Transformer:
    def transform(self, tree: ParseTree) -> object: ...

class Lark:
    def __init__(self, grammar: str, start: str = "start"): ...
    def parse(self, x: str) -> ParseTree: ...
